[ 
https://issues.apache.org/jira/browse/FINERACT-940?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
 ]

Michael Vorburger resolved FINERACT-940.
----------------------------------------
    Resolution: Fixed

> The package javax.xml.parsers is accessible from more than one module: 
> <unnamed>, java.xml (Eclipse only?)
> ----------------------------------------------------------------------------------------------------------
>
>                 Key: FINERACT-940
>                 URL: https://issues.apache.org/jira/browse/FINERACT-940
>             Project: Apache Fineract
>          Issue Type: Bug
>            Reporter: Michael Vorburger
>            Assignee: Michael Vorburger
>            Priority: Major
>             Fix For: 1.4.0
>
>
> When I open the current develop branch in Eclipse, following FINERACT-846, I 
> get the following red errors, in (only) the {{XBRLBuilderTest}}, only in the 
> Eclipse IDE (building on the CLI with Gradle doesn't seem to care):
> {{The package javax.xml.parsers is accessible from more than one module: 
> <unnamed>, java.xml}}
> in the import of {{javax.xml.parsers.DocumentBuilderFactory}} and 
> {{javax.xml.parsers.ParserConfigurationException}}
> and similarly:
> {{The package org.w3c.dom is accessible from more than one module: <unnamed>, 
> java.xml}}
> on the import of {{org.w3c.dom.NodeList}} and {{org.xml.sax.SAXException}}.
> There are also {{...cannot be resolved to a type}} for NodeList, 
> DocumentBuilderFactory, SAXException, ParserConfigurationException later, 
> which presumably are just effects of above.



--
This message was sent by Atlassian Jira
(v8.3.4#803005)

Reply via email to